Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-03-2009 19:58:34

Lomah
Membre
Inscription : 09-03-2009

[resolu] Quels dépôt pour Lenny ?

Bonjour,
Je suis débutant sur Debian et je n'arrive pas a mettre a jour différents logiciels (vlc/amule ...) qui reste de vieille version.

Est ce lié a Debian ou à mon source.list ?

deb http://http.us.debian.org/debian/ lenny main contrib non-free
deb http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://www.backports.org/debian lenny-backports main contrib non-free
deb http://www.debian-multimedia.org/ stable main

Merci.

Dernière modification par Lomah (10-03-2009 21:56:10)

Hors ligne

#2 09-03-2009 20:05:24

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Bonjour Lomah et bienvenue sur DF,

Pas trop le temps, là... Mais je te renvois au wiki DF là :
http://debian-facile.org/wiki/doku.php?id=manuel:depots
Pour que tu imagines toi-même ce qui se passe... tongue

Apparemment c'est au niveau du sources.list que tu trouveras une solution...
Vois comment c'est... tout ça...
Suit les liens...
Et surtout, dis-nous si ça marche pour toi ou non... Si tu comprends... cool

Tous les avis sont notre richesse...;)

A tout', je passe la main... si y'en a qui on du temps... roll

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 09-03-2009 20:19:27

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [resolu] Quels dépôt pour Lenny ?

Tu peux regarder aussi sur ce wiki DF http://debian-facile.org/wiki/doku.php? … on:sources
As-tu volontairement oublié les deb-src ?
C'est quoi c'est deux dépots :

Lomah a écrit :

deb http://http.us.debian.org/debian/ lenny main contrib non-free
deb http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main


Tu es en france ou .....

a+

damo


logo_3dminfographie_signature.png

Hors ligne

#4 09-03-2009 20:39:44

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Les dépôts us était déjà dans le  sources.list.Je ne savais pas s'ils étaient important ou pas.
j'ai corrigé en ceci

deb http://ftp.fr.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free

Par contre a quoi correspondent les deb-src ?

Merci
a+
Lomah

Hors ligne

#5 09-03-2009 21:21:47

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [resolu] Quels dépôt pour Lenny ?

Vu ton sources.list, tu es sur Lenny, la version de VLC est la 0.8.6, elle ne changera pas. Actuellement seule Sid propose une version plus récente, la 0.9.8.

Sinon les deb-src définissent les dépôts contenant les sources des programmes. Si tu ne compiles pas, tu n'en auras pas besoin.

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#6 09-03-2009 21:24:59

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [resolu] Quels dépôt pour Lenny ?

Pour moi src veux dire sources à moin que...
Je ne sais pas mais dans le doute je te conseille de les mettre.
Le dépot deb-src qui correspond à ton lenny.

deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free


Et celui de la sécurité.

deb-src http://security.debian.org/ lenny/updates main contrib non-free


Désolé mais je ne suis pas assez performant pour te dire à quoi sert exactement ces dépots deb-src.


logo_3dminfographie_signature.png

Hors ligne

#7 09-03-2009 22:49:12

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : [resolu] Quels dépôt pour Lenny ?

Damien à dû croiser Mani qui à très bien répondu en ce qui concerne les deb-src wink, donc pas besoin à moins qu'un jour tu décides de compiler ton programme....perso, jamais eu besoin....

Les logiciels de la version stable n'évolue effectivement plus une fois testing passé en stable...ça t'assure la stabilité de ton système et c'est toute la grande différence de debian. Si tu veux des logiciels plus à jour il te faudra passer en sid ou alors utiliser le pinning (avec un fichier préférence) mais si tu débutes je te conseil vivement de te familiariser avec ta debian stable avant de tenter autre chose wink

Bonne soirée

Hors ligne

#8 09-03-2009 23:56:59

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Merci a tous pour vos réponses.

Pour résumer Debian ne contient pas forcement les dernières version des logiciels pour une meilleure stabilité.

Et je n'ai pas besoin des src.

Mon source.list donne

deb http://ftp.fr.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://www.backports.org/debian lenny-backports main contrib non-free
#deb http://www.debian-multimedia.org/ stable main

J'ai désactivé la partie multimédia sinon vlc ne marche pas.

Encore merci et bonne soirée.

Hors ligne

#9 10-03-2009 02:20:48

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Salut Lomah

1) La branche stable de debian ne contient pas en effet les versions les plus récentes des paquets. Tu auras seulement des mises à jour de sécurité pour corriger des bugs, mais pas de nouvelles versions.

2) Si tu ne compiles pas, tu n'as pas besoin des deb-src

3) Dans ton sources.list, tu peux enlever la première ligne:

deb http://ftp.fr.debian.org/debian/ lenny-proposed-updates contrib non-free main


Si tu veux conserver le dépôt debian-multimedia pour les paquets se trouvant seulement dans ce dépôt mais utiliser les paquets officiels debian dans le cas où ils se retrouvent dans les deux dépôts (officiel de debian-multimedia), alors tu dois créer un ficher preferences. Ce fichier, /etc/apt/preferences, le voici :

Package: *
Pin: release o=Debian,a=stable
Pin-Priority: 900
Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 800


Ainsi les paquets présents dans le dépôt officiel ont la priorité sur ceux de debian-multimedia. Si tu crées ce fichier, fais après un

# apt-get update


suivi d'un :

# apt-cache policy


pour vérifier si le préférences sont corrects.

Au cas où tu l'ignores le # signifie root.

4)

J'ai désactivé la partie multimédia sinon vlc ne marche pas.


Tu veux dire que avec la version de vlc disponible dans debian-multimedia, tu as le son mais pas l'image ?

Ajout : Après vérification, il est vrai que le vlc de debian-multimedia pose problème pour lenny. Il faudrait que VLC 0.9 entre dans les backports pour ne pas avoir de problème. Comme les dépôts debian-multimedia sont quand même utiles, pour libdvdcss2 par exemple, on peut les utiliser avec le fichier preferences ci-haut.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#10 10-03-2009 07:52:51

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Bonjour Lomah,

Merci de ta question, elle nous a permis de compléter le wiki DF (et chacun de nous...) à profusion ! wink

N'oublie pas de nous faire le retour du final...
Et... éventuellement... de mettre le [Résolu] en tête de ton topic... cool

Tchôôô ! Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#11 10-03-2009 18:36:20

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Bonjour a tous,

Cher Martin_mtl,j'ai créé le fichier preferences dans /etc/apt/ et depuis je n'ai plus l'image avec vlc.

Je sais comment corriger le problème en désactivant le dépôt multimédia mais ta solution pour les priorités m'intéresse.

J'ai copier/coller pour créer le fichier /etc/apt/preferences.

Bien fait l'update et voici le résultat de apt-cache policy ou je suis surpris de ne pas voir de valeur a 900.

Fichiers du paquet :
100 /var/lib/dpkg/status
     release a=now
500 http://www.debian-multimedia.org stable/main Translation-fr
800 http://www.debian-multimedia.org stable/main Packages
     release v=None,o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages,c=main
     origin www.debian-multimedia.org
500 http://ftp.fr.debian.org lenny-proposed-updates/main Packages
     release v=5.0-updates,o=Debian,a=proposed-updates,l=Debian,c=main
     origin ftp.fr.debian.org
500 http://ftp.fr.debian.org lenny-proposed-updates/non-free Packages
     release v=5.0-updates,o=Debian,a=proposed-updates,l=Debian,c=non-free
     origin ftp.fr.debian.org
500 http://ftp.fr.debian.org lenny-proposed-updates/contrib Packages
     release v=5.0-updates,o=Debian,a=proposed-updates,l=Debian,c=contrib
     origin ftp.fr.debian.org
   1 http://www.backports.org lenny-backports/non-free Packages
     release v=None,o=Backports.org archive,a=lenny-backports,l=Backports.org archive,c=non-free
     origin www.backports.org
   1 http://www.backports.org lenny-backports/contrib Packages
     release v=None,o=Backports.org archive,a=lenny-backports,l=Backports.org archive,c=contrib
     origin www.backports.org
   1 http://www.backports.org lenny-backports/main Packages
     release v=None,o=Backports.org archive,a=lenny-backports,l=Backports.org archive,c=main
     origin www.backports.org
500 http://volatile.debian.org lenny/volatile/non-free Packages
     release o=volatile.debian.org,a=stable,l=debian-volatile,c=non-free
     origin volatile.debian.org
500 http://volatile.debian.org lenny/volatile/contrib Packages
     release o=volatile.debian.org,a=stable,l=debian-volatile,c=contrib
     origin volatile.debian.org
500 http://volatile.debian.org lenny/volatile/main Packages
     release o=volatile.debian.org,a=stable,l=debian-volatile,c=main
     origin volatile.debian.org
500 http://security.debian.org lenny/updates/non-free Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=non-free
     origin security.debian.org
500 http://security.debian.org lenny/updates/contrib Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=contrib
     origin security.debian.org
500 http://security.debian.org lenny/updates/main Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=main
     origin security.debian.org
500 http://ftp.fr.debian.org lenny/non-free Packages
     release v=5.0,o=Debian,a=stable,l=Debian,c=non-free
     origin ftp.fr.debian.org
500 http://ftp.fr.debian.org lenny/contrib Packages
     release v=5.0,o=Debian,a=stable,l=Debian,c=contrib
     origin ftp.fr.debian.org
500 http://ftp.fr.debian.org lenny/main Translation-fr
500 http://ftp.fr.debian.org lenny/main Packages
     release v=5.0,o=Debian,a=stable,l=Debian,c=main
     origin ftp.fr.debian.org
Paquets étiquetés :

Merci encore pour vos infos.

PS:Je n'ai pas la moindre idée de comment faire pour "de mettre le [Résolu] en tête de ton topic"

Hors ligne

#12 10-03-2009 18:43:15

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Rebonjour,

J'ai trouve,

En mettant le "Pin-Priority" a 400 pour le multimédia cela marche.

Par contre pour le " [Résolu] ",toujours pas d'idée.

a+

Hors ligne

#13 10-03-2009 18:57:00

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Salut Lomah,

Si ton problème a trouvé une solution... Est ce le cas ?... Tu ouvres par Modifier ton post1 et dans le titre, "vieille version" tu écris [Résolu] devant. Tchop. wink

Maintenant, si tu questionne sur autre chose, ouvre une nouvelle discussion, par exemple sur les preferences... le multimedia ???
Ce qui te paraît le plus approprié.

D'ailleurs, le titre de celui-ci : "vieille version" n'est pas trop parlant... Ne peux-tu trouver mieux ? En rapport à vlc et lenny par exemple ?

Content de t'avoir  avec nous good boy... et de tes retours,... Yes man ! big_smile
(Je regarde un western là... s'cuse...) cool

Amitié, Joel

Dernière modification par smolski (10-03-2009 19:33:48)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#14 10-03-2009 19:00:49

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [resolu] Quels dépôt pour Lenny ?

martin_mtl a écrit :

2) Si tu ne compiles pas, tu n'as pas besoin des deb-src


Bon à savoir ça... Merci martin.

Pour écrire [Résolu] retourne sur ton premier post, clique sur Modifier.
Tu as ensuite plus qu'à ajouter [Résolu] dans l'objet de ta discussion.

a+


logo_3dminfographie_signature.png

Hors ligne

#15 10-03-2009 19:01:31

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [resolu] Quels dépôt pour Lenny ?

Les valeurs à 500 que renvoie apt-cache policy ne sont pas normales, sauf pour les lignes Translation, il y a un problème avec le fichier preferences.

Tu peux nous reposter ton sources.list et le fichiers preferences qu'on regarde ?

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#16 10-03-2009 19:15:52

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Voici les 2 fichiers

deb http://ftp.fr.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://www.backports.org/debian lenny-backports main contrib non-free
deb http://www.debian-multimedia.org/ stable main


Package: *
Pin: release o=Debian,a=stable
Pin-Priority: 900
Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 400

Hors ligne

#17 10-03-2009 20:04:59

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [resolu] Quels dépôt pour Lenny ?

Je viens de faire un test, il faut mettre des priorités aussi pour les dépôts volatile et backports.

sources.list

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://www.backports.org/debian lenny-backports main contrib non-free
deb http://www.debian-multimedia.org/ stable main


Note que j'ai retiré la première ligne avec le dépôt proposed-updates comme te le disait martin_mtl, tu n'en as pas besoin.

/etc/apt/preferences

Package: *
Pin: release o=Debian,a=stable
Pin-Priority: 999

Package: *
Pin: release o=volatile.debian.org,a=stable
Pin-Priority: 995

Package: *
Pin: release o=Backports.org archive,a=lenny-backports
Pin-Priority: 990

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 400


apt-get update puis apt-cache policy et ça devrait être bon ! smile


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#18 10-03-2009 21:55:37

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Merci a tous.

Tout fonctionne impeccable.

Hors ligne

#19 10-03-2009 22:02:45

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Alleluia ! big_smile

Merci du résolu !

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#20 11-03-2009 02:14:01

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Salut lomah

En effet, j'ai fait une erreur hier. J'ai mis un 0 de trop, 800 au lieu de 80, très différent.

Le problème est en effet la version de vlc pour lenny. Si c'était la version 0.9, ou pourrait oublier le fichier preferences. C'est bien que tu as pu résoudre le problème avant que je passe ici. Par contre, pour être sûr de ne pas avoir de problème je changerais la priorité du dépôt debian-multimedia pour 90 au lieu de 400.

L'explication :

100 < P <=500
Le paquet ne sera installé que s'il en existe aucune version plus récente,
installée ou disponible dans une autre distribution
0 < P <=100
Le paquet ne sera installé que si aucune autre version du paquet n'est installée


En utilisant les dépôts debian-multimedia, pour éviter les conflits avec vlc il faut être sûr d'avoir les paquets des dépôts officiels debian. Donc lorsqu'on installe quelque chose provenant de debian-multimedia, il faut être sûr que les paquets (et dépendances) sont disponible seulement là.

Soit donc bien à l'affût de ce problème pour la suite des choses.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#21 11-03-2009 12:58:16

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

Fichier preference modifié.

Encore merci a tous.

Hors ligne

#22 11-03-2009 15:31:04

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [resolu] Quels dépôt pour Lenny ?

Tseuôp lomah... fichier preferences... big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#23 11-03-2009 19:22:30

Lomah
Membre
Inscription : 09-03-2009

Re : [resolu] Quels dépôt pour Lenny ?

preferences... pardon.

Hors ligne

Pied de page des forums